MerchantCreate
Create a merchant
Security: Bearer Auth
Provide your bearer token in the Authorization header when making requests to protected resources.
Example: Authorization: Bearer 123
Request body
- id: integerrequired
Identifier
- name: stringrequired
Company name (legal name)
<= 50 characters - display_name: string or null
Customer-facing shop name to display in emails and app. If not provided, company name will be used.
<= 255 characters - url: string<uri>required
E-shop's website URL
<= 255 characters - mcc: integer or null
MCC code used by PSP
>= 0<= 2147483647 - is_blocked: booleanrequired
True if and only if e-shop is blocked from performing new orders
- contact_name: stringrequired
- contact_email: string<email>required
- contact_phone_number: stringrequired
- reference: stringrequired
- pl_krs: string
- street: stringrequired
<= 100 characters - city: stringrequired
<= 100 characters - zipcode: stringrequired
<= 5 characters - company_id: stringrequired
Company identifier validated by country_code (or by site country when country_code is not provided). For CY supports C/HE + 1..8 digits, for SG supports 9..10 alphanumeric UEN.
<= 20 characters - vat_id: string or null
VAT identifier validated by country_code when provided. May be empty; for SG empty value is valid.
<= 14 characters - country_code: or null
ISO-3166 alpha-2 code used for country-specific company_id and vat_id validation.
Request Body example
{
"id": 320,
"name": "string",
"display_name": "string",
"url": "http://api.example.org/accounts/?skip=400&limit=100",
"mcc": 622,
"is_blocked": false,
"contact_name": "string",
"contact_email": "string",
"contact_phone_number": "string",
"reference": "string",
"pl_krs": "string",
"street": "string",
"city": "string",
"zipcode": "strin",
"company_id": "string",
"vat_id": "string",
"country_code": "string"
}Responses
Body
- id: integerrequired
Identifier
- name: stringrequired
Company name (legal name)
<= 50 characters - display_name: string or null
Customer-facing shop name to display in emails and app. If not provided, company name will be used.
<= 255 characters - url: string<uri>required
E-shop's website URL
<= 255 characters - mcc: integer or null
MCC code used by PSP
>= 0<= 2147483647 - is_blocked: booleanrequired
True if and only if e-shop is blocked from performing new orders
- contact_name: stringrequired
- contact_email: string<email>required
- contact_phone_number: stringrequired
- reference: stringrequired
- pl_krs: string
- street: stringrequired
<= 100 characters - city: stringrequired
<= 100 characters - zipcode: stringrequired
<= 5 characters - company_id: stringrequired
Company identifier validated by country_code (or by site country when country_code is not provided). For CY supports C/HE + 1..8 digits, for SG supports 9..10 alphanumeric UEN.
<= 20 characters - vat_id: string or null
VAT identifier validated by country_code when provided. May be empty; for SG empty value is valid.
<= 14 characters - country_code: or null
ISO-3166 alpha-2 code used for country-specific company_id and vat_id validation.
Response example
{
"id": 399,
"name": "string",
"display_name": "string",
"url": "http://api.example.org/accounts/?skip=400&limit=100",
"mcc": 372,
"is_blocked": true,
"contact_name": "string",
"contact_email": "string",
"contact_phone_number": "string",
"reference": "string",
"pl_krs": "string",
"street": "string",
"city": "string",
"zipcode": "strin",
"company_id": "string",
"vat_id": "string",
"country_code": "string"
}